--- old/usr/src/uts/common/fs/cachefs/cachefs_vnops.c	2015-01-08 09:14:33.465126182 -0500
+++ new/usr/src/uts/common/fs/cachefs/cachefs_vnops.c	2015-01-08 09:14:33.472898615 -0500
@@ -20,6 +20,7 @@
  */
 /*
  * Copyright (c) 1992, 2010, Oracle and/or its affiliates. All rights reserved.
+ * Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
  */
 
 #include <sys/param.h>
@@ -7385,13 +7386,8 @@
 				break;
 			}
 		}
-		if (len <= PAGESIZE)
-			error = cachefs_getapage(vp, (u_offset_t)off, len,
-			    protp, pl, plsz, seg, addr, rw, cr);
-		else
-			error = pvn_getpages(cachefs_getapage, vp,
-			    (u_offset_t)off, len, protp, pl, plsz, seg, addr,
-			    rw, cr);
+		error = pvn_getpages(cachefs_getapage, vp, (u_offset_t)off,
+		    len, protp, pl, plsz, seg, addr, rw, cr);
 		if (error == 0)
 			break;
 
@@ -7411,17 +7407,10 @@
 		} else {
 			if (CFS_TIMEOUT(fscp, error)) {
 				if (cachefs_cd_access_miss(fscp)) {
-					if (len <= PAGESIZE)
-						error = cachefs_getapage_back(
-						    vp, (u_offset_t)off,
-						    len, protp, pl,
-						    plsz, seg, addr, rw, cr);
-					else
-						error = pvn_getpages(
-						    cachefs_getapage_back, vp,
-						    (u_offset_t)off, len,
-						    protp, pl,
-						    plsz, seg, addr, rw, cr);
+					error = pvn_getpages(
+					    cachefs_getapage_back, vp,
+					    (u_offset_t)off, len, protp, pl,
+					    plsz, seg, addr, rw, cr);
 					if (!CFS_TIMEOUT(fscp, error) &&
 					    (error != EAGAIN))
 						break;
@@ -7498,7 +7487,7 @@
 }
 
 /*
- * Called from pvn_getpages or cachefs_getpage to get a particular page.
+ * Called from pvn_getpages to get a particular page.
  */
 /*ARGSUSED*/
 static int
--- old/usr/src/uts/common/fs/hsfs/hsfs_vnops.c	2015-01-08 09:14:34.022121219 -0500
+++ new/usr/src/uts/common/fs/hsfs/hsfs_vnops.c	2015-01-08 09:14:34.029150666 -0500
@@ -22,6 +22,7 @@
 /*
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ * Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
  */
 
 /*
@@ -1575,7 +1576,6 @@
 	struct cred *cred,
 	caller_context_t *ct)
 {
-	int err;
 	uint_t filsiz;
 	struct hsfs *fsp;
 	struct hsnode *hp;
@@ -1653,14 +1653,8 @@
 	if (protp != NULL)
 		*protp = PROT_ALL;
 
-	if (len <= PAGESIZE)
-		err = hsfs_getapage(vp, (u_offset_t)off, len, protp, pl, plsz,
-		    seg, addr, rw, cred);
-	else
-		err = pvn_getpages(hsfs_getapage, vp, off, len, protp,
-		    pl, plsz, seg, addr, rw, cred);
-
-	return (err);
+	return (pvn_getpages(hsfs_getapage, vp, off, len, protp, pl, plsz,
+	    seg, addr, rw, cred));
 }
 
 
--- old/usr/src/uts/common/fs/nfs/nfs3_vnops.c	2015-01-08 09:14:34.310037310 -0500
+++ new/usr/src/uts/common/fs/nfs/nfs3_vnops.c	2015-01-08 09:14:34.317548980 -0500
@@ -30,6 +30,7 @@
 
 /*
  * Copyright (c) 2013, Joyent, Inc. All rights reserved.
+ * Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
  */
 
 #include <sys/param.h>
@@ -4585,13 +4586,8 @@
 
 	mutex_exit(&rp->r_statelock);
 
-	if (len <= PAGESIZE) {
-		error = nfs3_getapage(vp, off, len, protp, pl, plsz,
-		    seg, addr, rw, cr);
-	} else {
-		error = pvn_getpages(nfs3_getapage, vp, off, len, protp,
-		    pl, plsz, seg, addr, rw, cr);
-	}
+	error = pvn_getpages(nfs3_getapage, vp, off, len, protp,
+	    pl, plsz, seg, addr, rw, cr);
 
 	switch (error) {
 	case NFS_EOF:
@@ -4605,7 +4601,7 @@
 }
 
 /*
- * Called from pvn_getpages or nfs3_getpage to get a particular page.
+ * Called from pvn_getpages to get a particular page.
  */
 /* ARGSUSED */
 static int
--- old/usr/src/uts/common/fs/nfs/nfs4_vnops.c	2015-01-08 09:14:34.755830337 -0500
+++ new/usr/src/uts/common/fs/nfs/nfs4_vnops.c	2015-01-08 09:14:34.763877421 -0500
@@ -23,7 +23,7 @@
  * Use is subject to license terms.
  */
 /*
- * Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+ * Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
  */
 
 /*
@@ -9787,19 +9787,11 @@
 
 	mutex_exit(&rp->r_statelock);
 
-	if (len <= PAGESIZE) {
-		error = nfs4_getapage(vp, off, len, protp, pl, plsz,
-		    seg, addr, rw, cr);
-		NFS4_DEBUG(nfs4_pageio_debug && error,
-		    (CE_NOTE, "getpage error %d; off=%lld, "
-		    "len=%lld", error, off, (u_longlong_t)len));
-	} else {
-		error = pvn_getpages(nfs4_getapage, vp, off, len, protp,
-		    pl, plsz, seg, addr, rw, cr);
-		NFS4_DEBUG(nfs4_pageio_debug && error,
-		    (CE_NOTE, "getpages error %d; off=%lld, "
-		    "len=%lld", error, off, (u_longlong_t)len));
-	}
+	error = pvn_getpages(nfs4_getapage, vp, off, len, protp,
+	    pl, plsz, seg, addr, rw, cr);
+	NFS4_DEBUG(nfs4_pageio_debug && error,
+	    (CE_NOTE, "getpages error %d; off=%lld, len=%lld",
+	    error, off, (u_longlong_t)len));
 
 	switch (error) {
 	case NFS_EOF:
@@ -9813,7 +9805,7 @@
 }
 
 /*
- * Called from pvn_getpages or nfs4_getpage to get a particular page.
+ * Called from pvn_getpages to get a particular page.
  */
 /* ARGSUSED */
 static int
--- old/usr/src/uts/common/fs/nfs/nfs_vnops.c	2015-01-08 09:14:35.546344180 -0500
+++ new/usr/src/uts/common/fs/nfs/nfs_vnops.c	2015-01-08 09:14:35.553605244 -0500
@@ -27,6 +27,7 @@
 
 /*
  * Copyright (c) 2013, Joyent, Inc. All rights reserved.
+ * Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
  */
 
 #include <sys/param.h>
@@ -3681,13 +3682,8 @@
 
 	mutex_exit(&rp->r_statelock);
 
-	if (len <= PAGESIZE) {
-		error = nfs_getapage(vp, off, len, protp, pl, plsz,
-		    seg, addr, rw, cr);
-	} else {
-		error = pvn_getpages(nfs_getapage, vp, off, len, protp,
-		    pl, plsz, seg, addr, rw, cr);
-	}
+	error = pvn_getpages(nfs_getapage, vp, off, len, protp, pl, plsz,
+	    seg, addr, rw, cr);
 
 	switch (error) {
 	case NFS_EOF:
@@ -3701,7 +3697,7 @@
 }
 
 /*
- * Called from pvn_getpages or nfs_getpage to get a particular page.
+ * Called from pvn_getpages to get a particular page.
  */
 /* ARGSUSED */
 static int
--- old/usr/src/uts/common/fs/pcfs/pc_vnops.c	2015-01-08 09:14:35.935804408 -0500
+++ new/usr/src/uts/common/fs/pcfs/pc_vnops.c	2015-01-08 09:14:35.942877109 -0500
@@ -26,6 +26,7 @@
 
 /*
  * Copyright (c) 2013, Joyent, Inc. All rights reserved.
+ * Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
  */
 
 #include <sys/param.h>
@@ -1426,8 +1427,8 @@
 
 
 /*
- * Called from pvn_getpages or pcfs_getpage to get a particular page.
- * When we are called the pcfs is already locked.
+ * Called from pvn_getpages to get a particular page.  When we are called
+ * the pcfs is already locked.
  */
 /*ARGSUSED*/
 static int
@@ -1601,13 +1602,9 @@
 		*protp = PROT_ALL;
 
 	ASSERT((off & PAGEOFFSET) == 0);
-	if (len <= PAGESIZE) {
-		err = pcfs_getapage(vp, off, len, protp, pl,
-		    plsz, seg, addr, rw, cr);
-	} else {
-		err = pvn_getpages(pcfs_getapage, vp, off,
-		    len, protp, pl, plsz, seg, addr, rw, cr);
-	}
+	err = pvn_getpages(pcfs_getapage, vp, off, len, protp, pl, plsz,
+	    seg, addr, rw, cr);
+
 	pc_unlockfs(fsp);
 	return (err);
 }
--- old/usr/src/uts/common/fs/specfs/specvnops.c	2015-01-08 09:14:36.219536034 -0500
+++ new/usr/src/uts/common/fs/specfs/specvnops.c	2015-01-08 09:14:36.226680173 -0500
@@ -21,6 +21,7 @@
 /*
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ * Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
  */
 
 /*	Copyright (c) 1983, 1984, 1985, 1986, 1987, 1988, 1989 AT&T	*/
@@ -1791,12 +1792,8 @@
 		if (((u_offset_t)off + len) > (SPEC_SIZE(sp) + PAGEOFFSET))
 			return (EFAULT);	/* beyond EOF */
 
-		if (len <= PAGESIZE)
-			err = spec_getapage(vp, (u_offset_t)off, len, protp, pl,
-			    plsz, seg, addr, rw, cr);
-		else
-			err = pvn_getpages(spec_getapage, vp, (u_offset_t)off,
-			    len, protp, pl, plsz, seg, addr, rw, cr);
+		err = pvn_getpages(spec_getapage, vp, (u_offset_t)off, len,
+		    protp, pl, plsz, seg, addr, rw, cr);
 		break;
 
 	case VCHR:
--- old/usr/src/uts/common/fs/swapfs/swap_vnops.c	2015-01-08 09:14:36.509819388 -0500
+++ new/usr/src/uts/common/fs/swapfs/swap_vnops.c	2015-01-08 09:14:36.516893487 -0500
@@ -20,6 +20,7 @@
  */
 /*
  * Copyright (c) 1991, 2010, Oracle and/or its affiliates. All rights reserved.
+ * Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
  */
 
 #include <sys/types.h>
@@ -116,8 +117,6 @@
 	struct cred *cr,
 	caller_context_t *ct)
 {
-	int err;
-
 	SWAPFS_PRINT(SWAP_VOPS, "swap_getpage: vp %p, off %llx, len %lx\n",
 	    (void *)vp, off, len, 0, 0);
 
@@ -125,19 +124,12 @@
 	    "swapfs getpage:vp %p off %llx len %ld",
 	    (void *)vp, off, len);
 
-	if (len <= PAGESIZE) {
-		err = swap_getapage(vp, (u_offset_t)off, len, protp, pl, plsz,
-		    seg, addr, rw, cr);
-	} else {
-		err = pvn_getpages(swap_getapage, vp, (u_offset_t)off, len,
-		    protp, pl, plsz, seg, addr, rw, cr);
-	}
-
-	return (err);
+	return (pvn_getpages(swap_getapage, vp, (u_offset_t)off, len, protp,
+	    pl, plsz, seg, addr, rw, cr));
 }
 
 /*
- * Called from pvn_getpages or swap_getpage to get a particular page.
+ * Called from pvn_getpages to get a particular page.
  */
 /*ARGSUSED*/
 static int
--- old/usr/src/uts/common/fs/tmpfs/tmp_vnops.c	2015-01-08 09:14:36.732208833 -0500
+++ new/usr/src/uts/common/fs/tmpfs/tmp_vnops.c	2015-01-08 09:14:36.739312800 -0500
@@ -26,6 +26,7 @@
 
 /*
  * Copyright (c) 2012, Joyent, Inc. All rights reserved.
+ * Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
  */
 
 #include <sys/types.h>
@@ -1809,12 +1810,8 @@
 	}
 
 
-	if (len <= PAGESIZE)
-		err = tmp_getapage(vp, (u_offset_t)off, len, protp, pl, plsz,
-		    seg, addr, rw, cr);
-	else
-		err = pvn_getpages(tmp_getapage, vp, (u_offset_t)off, len,
-		    protp, pl, plsz, seg, addr, rw, cr);
+	err = pvn_getpages(tmp_getapage, vp, (u_offset_t)off, len, protp,
+	    pl, plsz, seg, addr, rw, cr);
 
 	gethrestime(&now);
 	tp->tn_atime = now;
@@ -1827,7 +1824,7 @@
 }
 
 /*
- * Called from pvn_getpages or swap_getpage to get a particular page.
+ * Called from pvn_getpages to get a particular page.
  */
 /*ARGSUSED*/
 static int
